xml-commons-resolver API: Class BootstrapResolver

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver.helpers
Class BootstrapResolver

    java.lang.Object
      |
      +--org.apache.xml.resolver.helpers.BootstrapResolver

All Implemented Interfaces:
  org.xml.sax.EntityResolver, javax.xml.transform.URIResolver

public class BootstrapResolver
extends java.lang.Object
implements org.xml.sax.EntityResolver, javax.xml.transform.URIResolver

A simple bootstrapping resolver.

This class is used as the entity resolver when reading XML Catalogs. It searches for the OASIS XML Catalog DTD, Relax NG Grammar and W3C XML Schema as resources (e.g., in the resolver jar file).

If you have your own DTDs or schemas, you can extend this class and set the BootstrapResolver in your CatalogManager.

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM
See Also:
  `CatalogManager`

Field Summary
`static java.lang.String` | `xCatalogPubId` Public identifier for legacy Apache XCatalog files.
`static java.lang.String` | `xmlCatalogPubId` Public identifier for OASIS XML Catalog files.
`static java.lang.String` | `xmlCatalogRNG` URI of the RELAX NG Grammar for OASIS XML Catalog files.
`static java.lang.String` | `xmlCatalogSysId` System identifier for OASIS XML Catalog files.
`static java.lang.String` | `xmlCatalogXSD` URI of the W3C XML Schema for OASIS XML Catalog files.

Constructor Summary
`BootstrapResolver()` Constructor.

Method Summary
`javax.xml.transform.Source` | `resolve(java.lang.String href, java.lang.String base)` Transformer resolve API.
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` SAX resolveEntity API.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlCatalogXSD

    public static final java.lang.String xmlCatalogXSD

  URI of the W3C XML Schema for OASIS XML Catalog files.

### xmlCatalogRNG

    public static final java.lang.String xmlCatalogRNG

  URI of the RELAX NG Grammar for OASIS XML Catalog files.

### xmlCatalogPubId

    public static final java.lang.String xmlCatalogPubId

  Public identifier for OASIS XML Catalog files.

### xmlCatalogSysId

    public static final java.lang.String xmlCatalogSysId

  System identifier for OASIS XML Catalog files.

### xCatalogPubId

    public static final java.lang.String xCatalogPubId

  Public identifier for legacy Apache XCatalog files. There is no official system identifier for XCatalog files.

Constructor Detail

### BootstrapResolver

    public BootstrapResolver()

  Constructor.

Method Detail

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)

  SAX resolveEntity API.
  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`

### resolve

    public javax.xml.transform.Source resolve(java.lang.String href,
                                              java.lang.String base)
                                       throws javax.xml.transform.TransformerException

  Transformer resolve API.
  Specified by:
    `resolve` in interface `javax.xml.transform.URIResolver`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.